| Version: 3.3.1

Public Member Functions | List of all members
wxDataViewIconText Class Reference
Class List by Category » wxDataViewCtrl Related Classes

`#include <wx/dataview.h>`

Inheritance diagram for wxDataViewIconText:
[legend]

## Detailed Description

wxDataViewIconText is used by wxDataViewIconTextRenderer for data transfer.

This class can be converted to and from a wxVariant.

##

Library: wxCore
Category: wxDataViewCtrl Related Classes

## Public Member Functions
const wxBitmapBundle & | GetBitmapBundle () const
| Gets the associated image. More...
wxIcon | GetIcon () const
| Gets the icon. More...
wxString | GetText () const
| Gets the text. More...
void | SetBitmapBundle (const wxBitmapBundle &bitmap)
| Sets the associated image. More...
void | SetIcon (const wxIcon &icon)
| Set the icon. More...
void | SetText (const wxString &text)
| Set the text. More...
| wxDataViewIconText (const wxString &text=wxEmptyString, const wxBitmapBundle &bitmap=wxBitmapBundle())
| Constructor. More...
| wxDataViewIconText (const wxDataViewIconText &other)
| Constructor. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to nullptr the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=nullptr, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxDataViewIconText() [1/2]

wxDataViewIconText::wxDataViewIconText | ( | const wxString & | text = `wxEmptyString`,
|  | const wxBitmapBundle & | bitmap = `wxBitmapBundle()`
| ) |  |

Constructor.

## ◆ wxDataViewIconText() [2/2]

wxDataViewIconText::wxDataViewIconText | ( | const wxDataViewIconText & | other | ) |

Constructor.

## Member Function Documentation

## ◆ GetBitmapBundle()

const wxBitmapBundle& wxDataViewIconText::GetBitmapBundle | ( |  | ) | const

Gets the associated image.

Since
  3.1.6

## ◆ GetIcon()

wxIcon wxDataViewIconText::GetIcon | ( |  | ) | const

Gets the icon.

This function can only return the icon in the size appropriate for the standard 100% DPI scaling, use GetBitmapBundle() to retrieve image representation suitable for another DPI scaling value.

## ◆ GetText()

wxString wxDataViewIconText::GetText | ( |  | ) | const

Gets the text.

## ◆ SetBitmapBundle()

void wxDataViewIconText::SetBitmapBundle | ( | const wxBitmapBundle & | bitmap | ) |

Sets the associated image.

This function allows to provide several representations of the same image, so that the most appropriate one for the current DPI scaling could be used, and so should be preferred to SetIcon().

Since
  3.1.6

## ◆ SetIcon()

void wxDataViewIconText::SetIcon | ( | const wxIcon & | icon | ) |

Set the icon.

Use SetBitmapBundle() instead to allow specifying different image representations for different DPI scaling values.

## ◆ SetText()

void wxDataViewIconText::SetText | ( | const wxString & | text | ) |

Set the text.